﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Drawing2D;

namespace PathScribble
{
    public partial class Form1 : Form
    {
        private GraphicsPath curve = new GraphicsPath();
        private Point prevPos;
        
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_MouseDown(object sender, MouseEventArgs e)
        {
            if (e.Button == MouseButtons.Left)
            {
                prevPos.X = e.X;
                prevPos.Y = e.Y;
                curve.StartFigure();
            }
        }

        private void Form1_MouseMove(object sender, MouseEventArgs e)
        {
            if (Capture && e.Button == MouseButtons.Left)
            {
                Point currPos = new Point(e.X, e.Y);
                curve.AddLine(prevPos, currPos);
                Graphics g = CreateGraphics();
                g.DrawLine(Pens.Black, prevPos, currPos);
                prevPos = currPos;
                g.Dispose();
            }
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            e.Graphics.DrawPath(Pens.Black, curve);
        }
    }
}